+++
title = "Draft: Backup & Distributed File System"
description = "An exploration on the solution for backing up all sorts of data and distributing them onto various storage devices"
tags = [ "tech", "dev", "backup", "tools" ]
date = "2016-08-09"
categories = [ "tech" ]
draft = true
+++

## The Existing

A great summary of existing tools and libraries for backup:
https://github.com/restic/others


### Restic
Go. Great (CLI) UI but really specialized in backup. This does not
provide any global file indexing or distribution of storage amongst
several devices.

- Website: https://restic.github.io/
- Github: https://github.com/restic/restic/

### Bup
Python, with error correction

- Website: https://bup.github.io/
- Github: https://github.com/bup/bup

### Camlistore
Complete solution for file organization, written in Go, heavily
followed (1,700+ stars)

Seems a bit more complicated than it should, also, the Web UI is not
bug-proof and the command line does not seem to be designed the best
way.

- Website: https://camlistore.org/
- Github: https://github.com/camlistore/camlistore

### go-sync
Library for rsync-style synchro. Might be interesting if writting my
own project in Go.

- Github: https://github.com/Redundancy/go-sync
