+++
date = "2016-11-10T16:49:45+01:00"
title = "Data Graphs and Plotting"
tags = [ "tech", "plot", "data", "visualization" ]
categories = [ "tech" ]

+++

## Plots

### ggplot2

- Language: R
- Doc: http://docs.ggplot2.org/current/

## Datamaps

### datamaps.js

- Language: Javascript
- Produces SVG
- Built-in maps (world, USA only, USA + world)
- Can use custom maps
- Github: https://github.com/markmarkoh/datamaps
- Webpage: http://datamaps.github.io/
- County level discussion: https://github.com/markmarkoh/datamaps/issues/239
  - [Example](https://www.aphis.usda.gov/aphis/ourfocus/animalhealth/SA_Animal_Disease_Information/SA_Avian_Health/sa_detections_by_states/ct_by_state?filters=Indiana)

![Example](https://camo.githubusercontent.com/91630a98f719d2c4d9a1c2f9ea232678303039fe/687474703a2f2f646174616d6170732e6769746875622e696f2f696d616765732f63686f726f706c6574682e706e67)
